copilot-interpreter-4.8: Interpreter for Copilot.

Safe Haskell | Safe
Language | Haskell2010

Copilot.Interpret

Description

An interpreter for Copilot specifications.

Synopsis

- data Format
  - = Table
  - | CSV
- interpret :: Format -> Int -> Spec -> String

# Documentation

data Format Source #

Output format for the results of a Copilot spec interpretation.

Constructors

Table |
CSV |

interpret Source #

Arguments

:: Format | Format to be used for the output.
-> Int | Number of steps to interpret.
-> Spec | Specification to interpret.
-> String |

Interpret a Copilot specification.